## collector (/v1/collector)

this page last updated: 2019-10-20 23:12:05

# collector (/v1/collector)

class `cloudkittyclient.v1.collector.``CollectorManager`(api_client)

  Class used to handle /v1/collector/mappings endpoint

  `create_mapping`(**kwargs)

    Creates a service to collector mapping.

    Parameters:

    - service (str) – Name of the service to filter on.
    - collector (str) – Name of the collector to filter on.

  `delete_mapping`(**kwargs)

    Deletes a service to collector mapping.

    Parameters: | service (str) – Name of the service of which the mapping should be deleted.

  `get_mapping`(**kwargs)

    Returns a service to collector mapping.

    If the service is not specified, returns a list of mappings for the given collector.

    Parameters:

    - service (str) – Name of the service to filter on.
    - collector (str) – Name of the collector to filter on.

  `get_state`(**kwargs)

    Returns the state of a collector.

    Parameters: | name (str) – Name of the collector.

  `set_state`(**kwargs)

    Sets the state of the collector.

    Parameters:

    - name (bool) – Name of the collector
    - enabled – State of the collector

this page last updated: 2019-10-20 23:12:05

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug questions?